.cos-btn-primary {
    width: fit-content;
    height: fit-content;
    padding: 1rem 2rem;
    color: whitesmoke;
    background-color: #1e90ff;
    text-decoration: none !important;
    border-radius: 1rem;
}

.cos-btn-primary:hover {
    transform: scale(1, 01);
    color: black;
    background-color: #0b84fd;
}

.cos-btn-secondary {
    width: fit-content;
    height: fit-content;
    padding: 1rem 2rem;
    color: #fff;
    background-color: #6c757d;
    text-decoration: none !important;
    border-radius: 1rem;
}

.cos-btn-secondary:hover {
    transform: scale(1, 01);
    color: black;
    background-color: #76797b;
}

.cos-btn-3th {
    width: fit-content;
    height: fit-content;
    padding: 1rem 2rem;
    color: #fff;
    background-color: #17a2b8;
    text-decoration: none !important;
    border-radius: 1rem;
}

.cos-btn-3th:hover {
    transform: scale(1, 01);
    color: black;
    background-color: #3ba1b0;
}





.grid-container {
    display: grid;
    grid-template-columns: repeat(auto-fill, minmax(30rem, max-content));
    grid-auto-rows: auto;
    grid-gap: 2rem;
}

.grid-item {
    border: 2px dashed black;
    padding: 10px;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    align-items: center;
    transition: transform 0.3s ease-in-out;
    font-size: 24px;
    border-radius: 20px;
    text-decoration: none;
    color: inherit;
}

.crad-imgs {
    transition: transform 0.3s ease-in-out;
    width: 25rem;
    height: 25rem;
    object-fit: contain;
    max-width: 25rem;
    max-height: 25rem;
    border-radius: 1rem;

}

.crads-body {
    display: flex;
    width: 100%;
    height: 100%;
    flex-direction: column;
    justify-content: center;
    align-items: flex-start;
    margin-left: 1rem;
}

.cards-body-stars {
    display: flex;
    flex-direction: row;
    justify-content: flex-start;
}

.cards-body-title {
    width: 100%;
    text-align: center;
    font-size: 2rem;
}

.grid-item:hover {
    transform: scale(1.05);
    transition: transform 0.3s ease-in-out;

}

.hidden-img {
    transition: transform 0.7s ease-in-out;
    display: none;
}

.showen-img {
    transition: transform 0.7s ease-in-out;
    display: block;
}


.main {
    display: flex;
    width: 100%;
    height: 100%;
    justify-content: space-around;
    gap: 3rem;
}

.aside {
    display: flex;
    flex-direction: column;
    justify-content: flex-start;
    align-items: center;
    width: 20%;
    overflow-x: hidden;
    overflow-y: scroll;
    height: 40rem;
}

.aside-right {
    display: flex;
    flex-direction: column;
    justify-content: flex-start;
    align-items: center;
    width: 20%;
    height: 40rem;
    gap: 1rem;
}

.aside-right>.about-article {
    font-size: 2.3rem;
}

.aside-right>.description {
    font-size: 1.5rem;
}

.aside-right>.price {
    font-size: 3rem;
}

.aside-right>a.technical-sheet {
    text-decoration: none;
    font-size: 1.2rem;
}


.aside>img {
    margin-top: 1rem;
    height: 10rem;
    object-fit: contain;
    cursor: pointer;
    border-bottom: 1px black solid;
    margin-bottom: 10px;
    padding-bottom: 10px;
}

.center {
    display: flex;
    width: 80%;
    justify-content: flex-start;
}

.center>img {
    width: 100%;
    height: 100%;
    object-fit: contain;
    max-width: 50rem;
    max-height: 60rem;
    min-width: 50rem;
    min-height: 60rem;
    cursor: zoom-in;
}



.modal {
    display: none;
    position: fixed;
    z-index: 1;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    overflow: hidden;
    background-color: rgb(0, 0, 0);
    background-color: rgba(0, 0, 0, 0.9);
}

.close {
    position: absolute;
    top: 0;
    right: 0;
    color: #fff;
    font-size: 35px;
    font-weight: bold;
    padding: 10px;
}

.close:hover,
.close:focus {
    color: #bbb;
    text-decoration: none;
    cursor: pointer;
}

#modal-image {
    display: block;
    margin: 10% auto;
    width: 70%;
    height: 70%;
    object-fit: contain;
    display: flex;
    align-items: center;
    align-self: center;
    align-content: center;
    justify-self: unset;
}


#technical-sheet {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    margin-top: 50px;
    width: 100%;
    height: 100%;
}

#customers {
    font-family: Arial, Helvetica, sans-serif;
    border-collapse: collapse;
    width: 100%;
}

#customers td,
#customers th {
    border: 1px solid #ddd;
    padding: 8px;
}

#customers tr:nth-child(even) {
    background-color: #f2f2f2;
}

#customers tr:hover {
    background-color: #ddd;
}

#customers th {
    padding-top: 12px;
    padding-bottom: 12px;
    text-align: left;
    background-color: #04AA6D;
    color: white;
}


.star-checked {
    color: #ffcc00;
}


.admin-action-btn {
    background-color: #4CAF50;
    /* Green */
    border: none;
    color: white;
    padding: 15px 32px;
    text-align: center;
    text-decoration: none;
    display: inline-block;
    font-size: 16px;
    margin: 4px 2px;
    cursor: pointer;
    border-radius: 1rem;
}

.admin-action-btn:hover {
    background-color: #3e8e41;


}